Wallet
List transactions
GET
Every movement of the wallet, newest first.
apiKeyheader
AuthorizationBearer <token>An API key from the Developers page. rhq_test_ keys reach the sandbox, rhq_live_ keys the live side.
limit?integerHow many to return
Range
1 <= value <= 100Default
25cursor?stringnextCursor from the previous page
kind?stringValue in
"topup""hold""capture""release""refund""debit""writeoff""transfer_out""transfer_in""margin""clawback"Success
application/json- response
Success
data*array<>nextCursor*|Pass as cursor for the next page. null on the last page
total*integerHow many match across every page
Range
0 <= valuecurl -X GET "https://example.com/v1/wallet/transactions"{ "data": [ { "id": "txn_01K6XJ4Q8ZT3M9R5V2B7WDHNCA", "kind": "hold", "amount": -1200, "reference": { "type": "hold", "id": "hld_01K6XJ4Q8ZT3M9R5V2B7WDHNCA" }, "memo": null, "receiptUrl": null, "createdAt": "2026-10-07T11:04:31.000Z" } ], "nextCursor": null, "total": 1}